Camera = require 'lib.cam11.cam11'
-- https://notabug.org/pgimeno/cam11

ZOOMFACTOR = 0.70
cam = Camera.new(400, 300, ZOOMFACTOR)

function love.keyreleased(key, scancode )
	if key == "escape" then love.event.quit() end
end

function love.wheelmoved(x, y)
    if y > 0 then
        -- wheel moved up. Zoom in
        ZOOMFACTOR = ZOOMFACTOR + 0.01
    end
    if y < 0 then
        -- wheel moved down. Zoom out
        ZOOMFACTOR = ZOOMFACTOR - 0.01
    end
    if ZOOMFACTOR < 0.05 then ZOOMFACTOR = 0.05 end
    if ZOOMFACTOR > 3 then ZOOMFACTOR = 3 end
    print("Zoom factor = " .. ZOOMFACTOR)
end

function love.draw()

    cam:attach()
    love.graphics.circle("fill", 100, 200, 10)
    love.graphics.circle("line", 200, 200, 10)

    love.graphics.rectangle("fill", 300, 190, 20, 20)
    love.graphics.rectangle("line", 400, 190, 20, 20)

    love.graphics.line(100, 250, 410, 250)
    cam:detach()
end

function love.update(dt)
	cam:setZoom(ZOOMFACTOR)
end
